## oneclient-base 25.0.1.gb34b2e7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7.0)
project(oneclient C CXX)

option(CODE_COVERAGE "Enable code coverage (gcc only)." OFF)
option(STATIC_BOOST "Link Boost statically" OFF)
option(STATIC_LIBSTDCPP "Link libstdc++ statically" OFF)
option(WITH_CEPH "Include Ceph direct IO support" ON)
option(WITH_S3 "Include S3 direct IO support" ON)
option(WITH_SWIFT "Include Swift direct IO support" ON)
option(WITH_GLUSTERFS "Include GlusterFS direct IO support" ON)
option(WITH_WEBDAV "Include WebDAV and HTTP direct IO support" ON)
option(WITH_XROOTD "Include XRootD direct IO support" ON)
option(WITH_NFS "Include NFS direct IO support" ON)
option(WITH_ONECLIENT "Include oneclient binary" ON)
option(WITH_ONEBENCH "Include onebench binary" ON)
option(WITH_ONEDATAFS "Build onedatafs library" ON)
option(WITH_PYTHON2 "Build onedatafs for Python2" OFF)
option(WITH_PYTHON3 "Build onedatafs for Python3" ON)
option(WITH_ONES3 "Build ones3 binary" ON)

option(WITH_LIBDL "Link with libdl" ON)
option(WITH_LIBRT "Link with librt" ON)
option(WITH_TESTS "Build and run tests" ON)
option(ONEDATAFS_PYTHON_VERSION "Build onedatafs for specific Python version" "")
option(GIT_VERSION "Version of the Oneclient" "1.0.0")
option(FETCH_FOLLY "Fetch folly, fizz, wangle and proxygen and build in-place" OFF)

string(TOLOWER ${CMAKE_BUILD_TYPE} CMAKE_BUILD_TYPE_LOWERCASE)
message(STATUS "Build type: ${CMAKE_BUILD_TYPE_LOWERCASE}")

# CMake config
set(CMAKE_SKIP_INSTALL_ALL_DEPENDENCY True)
set(CMAKE_FIND_FRAMEWORK LAST)
set(CMAKE_POSITION_INDEPENDENT_CODE True)
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake ${PROJECT_SOURCE_DIR}/helpers/cmake)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

set(WITH_FUSE_VERSION "3" CACHE STRING "Select Fuse version (2 or 3)")
set(CONDA_BUILD_PREFIX "" CACHE STRING "Conda build prefix")

# Maintain compatibility for ExternalProject_Add with older cmake versions
if(CMAKE_MAJOR_VERSION GREATER_EQUAL 3 AND CMAKE_MINOR_VERSION GREATER_EQUAL 19)
cmake_policy(SET CMP0114 OLD)
endif()

set(LIB_INSTALL_DIR lib CACHE INTERNAL "")

include(FindLibraryUtils)
include(GNUInstallDirs)

# Version
include(version.txt OPTIONAL)
file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/version)
configure_file(include/version.h.in ${PROJECT_BINARY_DIR}/version/version.h)

# Deps
add_subdirectory(deps/libmacaroons)
add_subdirectory(deps/libmacaroons-cpp)

if(CMAKE_BUILD_TYPE_LOWERCASE MATCHES "debug")
    find_package(PkgConfig REQUIRED)
    pkg_check_modules(DW REQUIRED IMPORTED_TARGET libdw)
    set(BACKWARD_CPP_LIBRARIES PkgConfig::DW)
    add_definitions(-DENABLE_BACKWARD_CPP)
    message(STATUS "Enabled backward-cpp with libraries: ${BACKWARD_CPP_LIBRARIES}")
endif()

# Setup fuse, on Linux default required version is >= 3
# On other platforms it is not yet supported
if(WITH_FUSE_VERSION MATCHES "2")
    message(STATUS "Checking for FUSE 2...")
    find_package(FUSE 2 REQUIRED)
    set(FUSE_USE_VERSION 30)
else()
    message(STATUS "Checking for FUSE 3...")
    SET(FUSE_FIND_VERSION 3)
    find_package(FUSE 3 REQUIRED)
    if(FUSE_VERSION_MINOR LESS 10)
        set(FUSE_USE_VERSION 31)
    else()
        set(FUSE_USE_VERSION 34)
    endif()
endif()
message(STATUS "Found Fuse version: ${FUSE_VERSION}")
message(STATUS "FUSE_USE_VERSION: ${FUSE_USE_VERSION}")

# Setup pthreads
message(STATUS "Checking for thread support...")
find_package(Threads REQUIRED)

# Setup Intel TBB
message(STATUS "Checking for Intel TBB...")
find_package(TBB REQUIRED)

# Setup glog
message(STATUS "Checking for glog...")
find_package(Glog REQUIRED)

# Setup CURL
message(STATUS "Checking for CURL...")
find_package(CURL REQUIRED)

# Setup OpenSSL
message(STATUS "Checking for OpenSSL...")
find_package(OpenSSL 1.1.0 REQUIRED)

# Setup NSS
message(STATUS "Checking for NSS...")
if(NOT (CONDA_BUILD_PREFIX STREQUAL ""))
    set(NSS_INCLUDE_DIRS "${CONDA_BUILD_PREFIX}/include/nss")
    set(NSS_LIBRARIES "${CONDA_BUILD_PREFIX}/lib/libssl3.so;${CONDA_BUILD_PREFIX}/lib/libsmime3.so;${CONDA_BUILD_PREFIX}/lib/libnss3.so;${CONDA_BUILD_PREFIX}/lib/libnssutil3.so;${CONDA_BUILD_PREFIX}/lib/libnspr4.so")
endif()
find_package(NSS REQUIRED)

# Setup POCO
find_library(POCO_UTIL PocoUtil)
find_library(POCO_NET PocoNet)
find_library(POCO_NET_SSL PocoNetSSL)
find_library(POCO_XML PocoXML)
find_library(POCO_JSON PocoJSON)
find_library(POCO_FOUNDATION PocoFoundation)
set(POCO_LIBRARIES
        ${POCO_UTIL}
        ${POCO_NET}
        ${POCO_NET_SSL}
        ${POCO_XML}
        ${POCO_JSON}
        ${POCO_FOUNDATION})

# Setup Folly
option(FOLLY_SHARED "Link folly shared library" ON)
message(STATUS "Checking for Folly...")
find_library(LIBEVENT_LIBRARY event)
find_library(IBERTY_LIBRARY iberty)
find_library(DOUBLE_CONVERSION_LIBRARY double-conversion)
if(NOT FETCH_FOLLY)
    find_package(Folly REQUIRED)
    find_package(Wangle REQUIRED)
    find_package(Fizz REQUIRED)
    find_library(PROXYGEN_LIBRARY proxygen REQUIRED)
    set(FOLLY_LIBRARIES
        ${FOLLY_LIBRARIES}
        ${WANGLE_LIBRARIES}
        ${LIBEVENT_LIBRARY}
        ${IBERTY_LIBRARY}
        ${FIZZ_LIBRARY}
        ${PROXYGEN_LIBRARY}
        ${DOUBLE_CONVERSION_LIBRARY})
    if(NOT FOLLY_SHARED)
        list(APPEND FOLLY_LIBRARIES unwind gflags)
    endif(NOT FOLLY_SHARED)
else(FETCH_FOLLY)
    include(ExternalProject)
    ExternalProject_Add(folly
        GIT_REPOSITORY    https://github.com/bkryza/folly.git
        GIT_TAG           v2021.01.04.01
        INSTALL_DIR       ${CMAKE_BINARY_DIR}/contrib
        CMAKE_ARGS        "-DCMAKE_CXX_FLAGS='-D__STDC_FORMAT_MACROS=1 -fPIC';-DCMAKE_C_FLAGS='-Wl,-lrt';-DCMAKE_EXE_LINKER_FLAGS='-lrt';-DCMAKE_EXE_LINKER_FLAGS='-lrt';-DCMAKE_INSTALL_PREFIX=${CMAKE_BINARY_DIR}/contrib"
    )
    ExternalProject_Add_StepTargets(folly install)
    ExternalProject_Add(fizz
        GIT_REPOSITORY    https://github.com/facebookincubator/fizz.git
        GIT_TAG           v2021.01.04.00
        SOURCE_SUBDIR     fizz
        DEPENDS           folly-install
        INSTALL_DIR       ${CMAKE_BINARY_DIR}/contrib
        CMAKE_ARGS        "-DCMAKE_CXX_FLAGS='-D__STDC_FORMAT_MACROS=1 -fPIC';-DBUILD_TESTS=OFF;-DCMAKE_PREFIX_PATH=${CMAKE_BINARY_DIR}/contrib;-DCMAKE_INSTALL_PREFIX=${CMAKE_BINARY_DIR}/contrib"
    )
    ExternalProject_Add_StepTargets(fizz install)
    ExternalProject_Add(wangle
        GIT_REPOSITORY    https://github.com/facebook/wangle.git
        GIT_TAG           v2021.01.04.00
        SOURCE_SUBDIR     wangle
        DEPENDS           fizz-install
        INSTALL_DIR       ${CMAKE_BINARY_DIR}/contrib
        CMAKE_ARGS        "-DCMAKE_CXX_FLAGS='-D__STDC_FORMAT_MACROS=1 -fPIC';-DCMAKE_PREFIX_PATH=${CMAKE_BINARY_DIR}/contrib;-DCMAKE_INSTALL_PREFIX=${CMAKE_BINARY_DIR}/contrib;-DBUILD_TESTS=OFF;-DBUILD_EXAMPLES=OFF;-DCMAKE_CROSSCOMPILING=ON"
    )
    ExternalProject_Add_StepTargets(wangle install)
    ExternalProject_Add(proxygen
        GIT_REPOSITORY    https://github.com/facebook/proxygen.git
        GIT_TAG           v2021.01.04.00
        DEPENDS           wangle-install
        INSTALL_DIR       ${CMAKE_BINARY_DIR}/contrib
        CMAKE_ARGS        "-DCMAKE_CXX_FLAGS='-D__STDC_FORMAT_MACROS=1 -fPIC';-DCMAKE_PREFIX_PATH=${CMAKE_BINARY_DIR}/contrib;-DCMAKE_INSTALL_PREFIX=${CMAKE_BINARY_DIR}/contrib"
    )
    ExternalProject_Add_StepTargets(proxygen install)
    set(FOLLY_INCLUDE_DIR ${CMAKE_BINARY_DIR}/contrib/include)
    set(FOLLY_LIBRARIES
        ${CMAKE_BINARY_DIR}/contrib/lib/libfolly.a
        ${CMAKE_BINARY_DIR}/contrib/lib/libfollybenchmark.a
        ${CMAKE_BINARY_DIR}/contrib/lib/libwangle.a
        ${LIBEVENT_LIBRARY}
        ${IBERTY_LIBRARY}
        ${CMAKE_BINARY_DIR}/contrib/lib/libfizz.a
        ${CMAKE_BINARY_DIR}/contrib/lib/libproxygen.a
        ${DOUBLE_CONVERSION_LIBRARY}
        gflags
        glog)
endif(NOT FETCH_FOLLY)

# Setup Boost
message(STATUS "Checking for Boost components...")
set(Boost_USE_MULTITHREADED      ON)
set(Boost_USE_STATIC_RUNTIME     ${STATIC_LIBSTDCPP})
set(Boost_USE_STATIC_LIBS        ${STATIC_BOOST})
find_package(Boost COMPONENTS atomic chrono context date_time filesystem
                              iostreams log log_setup program_options regex
                              system thread REQUIRED)

# Setup libsodium
find_package(Sodium)

# Find which Python interpreters are available
if(WITH_PYTHON2)
  find_package(Python2)
endif(WITH_PYTHON2)

if(WITH_PYTHON3)
  find_package(Python3)
endif(WITH_PYTHON3)

# Setup helpers
set(HELPERS_DIR ${CMAKE_CURRENT_SOURCE_DIR}/helpers)

# Setup Asio
set(ASIO_INCLUDE_DIRS ${HELPERS_DIR}/deps/asio/asio/include)
# Setup cppmetrics
set(CPPMETRICS_INCLUDE_DIRS ${HELPERS_DIR}/deps/cppmetrics)
# Setup backward-cpp
set(BACKWARD_CPP_INCLUDE_DIRS ${HELPERS_DIR}/deps/backward-cpp)

# Setup spdlog and fmt
if(FOLLY_SHARED)
    find_library(FMT_LIBRARY NAMES libfmt.a fmt REQUIRED)
    find_library(SPDLOG_LIBRARY NAMES libspdlog.a spdlog REQUIRED)
    add_definitions(-DSPDLOG_COMPILED_LIB -DSPDLOG_FMT_EXTERNAL)
else(FOLLY_SHARED)
    find_library(FMT_LIBRARY NAMES fmt libfmt.a REQUIRED)
    find_library(SPDLOG_LIBRARY NAMES spdlog libspdlog.a REQUIRED)
endif(FOLLY_SHARED)

# Utility libs
find_library(LTDL_LIBRARY NAMES ltdl)
find_library(ZLIB_LIBRARY NAMES z)

if(WITH_LIBRT)
find_library(RT_LIBRARY rt)
endif(WITH_LIBRT)

if(WITH_LIBDL)
find_library(DL_LIBRARY dl)
endif(WITH_LIBDL)

# Rados library
if(WITH_CEPH)
    find_library(CEPHCOMMON_LIBRARY "ceph-common" NAMES "ceph-common" "libceph-common.so.2" "libceph-common.so.0" PATH_SUFFIXES "ceph")
    find_library(RADOS_LIBRARY rados)
    find_library(RADOSSTRIPER_LIBRARY radosstriper)
    get_filename_component(CEPHCOMMON_RPATH "${CEPHCOMMON_LIBRARY}" DIRECTORY)
endif(WITH_CEPH)

# AWS SDK library
if(WITH_S3)
    find_library(AWS_SDK_C_COMMON_LIBRARY aws-c-common HINTS /usr/lib/x86_64-linux-gnu)
    find_library(AWS_SDK_CHECKSUMS_LIBRARY aws-checksums HINTS /usr/lib/x86_64-linux-gnu)
    find_library(AWS_SDK_C_EVENT_STREAM_LIBRARY aws-c-event-stream HINTS /usr/lib/x86_64-linux-gnu)
    find_library(AWS_SDK_CORE_LIBRARY aws-cpp-sdk-core HINTS /usr/lib/x86_64-linux-gnu)
    find_library(AWS_SDK_S3_LIBRARY aws-cpp-sdk-s3 HINTS /usr/lib/x86_64-linux-gnu)
    set(AWS_SDK_LIBRARIES
        ${AWS_SDK_S3_LIBRARY}
        ${AWS_SDK_CORE_LIBRARY}
        ${AWS_SDK_C_COMMON_LIBRARY}
        ${AWS_SDK_CHECKSUMS_LIBRARY}
        ${AWS_SDK_C_EVENT_STREAM_LIBRARY}
        ${CURL_LIBRARIES})
    add_definitions(-DWITH_S3=1)
    if(APPLE)
      add_definitions(-DS3_HAS_NO_V2_SUPPORT)
    endif(APPLE)
else(WITH_S3)
    add_definitions(-DWITH_S3=0)
endif(WITH_S3)

# Swift SDK library
if(WITH_SWIFT)
    find_library(POCO_UTIL PocoUtil)
    find_library(POCO_NET PocoNet)
    find_library(POCO_XML PocoXML)
    find_library(POCO_JSON PocoJSON)
    find_library(POCO_FOUNDATION PocoFoundation)
    set(SWIFT_SDK_LIBRARIES
        ${SWIFT_SDK_LIBRARY}
        ${POCO_UTIL}
        ${POCO_NET}
        ${POCO_XML}
        ${POCO_JSON}
        ${POCO_FOUNDATION})
endif(WITH_SWIFT)

# GlusterFS SDK library
if(WITH_GLUSTERFS)
    include(FindPkgConfig)
    if (PKG_CONFIG_FOUND)
        set(ENV{PKG_CONFIG_PATH} "/opt/oneclient/lib/x86_64-linux-gnu/pkgconfig:$ENV{PKG_CONFIG_PATH}")
        pkg_check_modules(GLUSTERFSAPI glusterfs-api>=6.0)
        if(NOT GLUSTERFSAPI_FOUND EQUAL 1)
            message(SEND_ERROR "pkg-config for glusterfs-api is missing.")
        else()
            add_definitions(-DWITH_GLUSTERFS=1)
            link_directories(${GLUSTERFSAPI_LIBDIR})
	    message(STATUS "GLUSTERFSAPI_LIBDIR=${GLUSTERFSAPI_LIBDIR}")
	    message(STATUS "GLUSTERFSAPI_LIBRARIES=${GLUSTERFSAPI_LIBRARIES}")
	    message(STATUS "GLUSTERFSAPI_LINK_LIBRARIES=${GLUSTERFSAPI_LINK_LIBRARIES}")
        endif()
    endif (PKG_CONFIG_FOUND)
else(WITH_GLUSTERFS)
    add_definitions(-DWITH_GLUSTERFS=0)
endif(WITH_GLUSTERFS)

# WebDAV libraries
if(WITH_WEBDAV)
    add_definitions(-DWITH_WEBDAV=1)
else(WITH_WEBDAV)
    add_definitions(-DWITH_WEBDAV=0)
endif(WITH_WEBDAV)

if(WITH_XROOTD)

=== bench/CMakeLists.txt ===
find_package(GFlags REQUIRED)

set(ONEBENCH_LIBRARIES
    libmacaroons-cpp
    ${PLATFORM_EXTRA_LIBS}
    ${FUSE_LIBRARIES}
    ${Boost_LIBRARIES}
    ${SODIUM_LIBRARIES}
    ${PROTOBUF_LIBRARIES}
    ${NSS_LIBRARIES}
    ${FOLLY_LIBRARIES}
    ${HELPERS_LIBRARIES}
    ${OPENSSL_LIBRARIES}
    gflags
    glog
    unwind
    )

if(WITH_CEPH)
    list(APPEND ONEBENCH_LIBRARIES ${RADOSSTRIPER_LIBRARY} ${RADOS_LIBRARY} ${CEPHCOMMON_LIBRARY})
endif(WITH_CEPH)

if(WITH_S3)
    list(APPEND ONEBENCH_LIBRARIES ${AWS_SDK_LIBRARIES})
endif(WITH_S3)

if(WITH_SWIFT)
    list(APPEND ONEBENCH_LIBRARIES ${SWIFT_SDK_LIBRARIES})
endif(WITH_SWIFT)

if(WITH_GLUSTERFS)
    list(APPEND ONEBENCH_LIBRARIES ${GLUSTERFSAPI_LIBRARIES})
endif(WITH_GLUSTERFS)

if(WITH_XROOTD)
    list(APPEND ONEBENCH_LIBRARIES ${XROOTD_LIBRARIES})
endif(WITH_XROOTD)

if(WITH_NFS)
    list(APPEND ONEBENCH_LIBRARIES ${NFS_LIBRARIES})
endif(WITH_NFS)

add_executable(onebench
    "onebench.cc"
    "testRunner.cc"
    "testRunnerConfig.cc"
    "testWorkerRndWr.cc"
    "testWorkerRndRd.cc"
    "testWorkerRndRdHTTP.cc"
    $<TARGET_OBJECTS:helpers>
    $<TARGET_OBJECTS:clproto>)

add_dependencies(onebench helpers)

target_link_libraries(onebench PRIVATE
    ${ONEBENCH_LIBRARIES})

set_target_properties(onebench PROPERTIES
    BUILD_WITH_INSTALL_RPATH true
    INSTALL_RPATH_USE_LINK_PATH true
    INSTALL_RPATH "${CUSTOM_RPATH}")

install(TARGETS onebench DESTINATION ${CMAKE_INSTALL_FULL_BINDIR})

=== test/benchmark/CMakeLists.txt ===
add_custom_target(benchmark)

if(FOLLY_SHARED)
    find_library(FOLLY_BENCHMARK_LIBRARIES NAMES libfollybenchmark.so)
else(FOLLY_SHARED)
    find_library(FOLLY_BENCHMARK_LIBRARIES NAMES libfollybenchmark.a)
endif(FOLLY_SHARED)

find_library(GFLAGS_LIBRARY gflags)

set(CLIENT_BENCHMARK_LIBRARIES
    libmacaroons-cpp
    ${PLATFORM_EXTRA_LIBS}
    ${FOLLY_LIBRARIES}
    ${GLOG_LIBRARY}
    ${GFLAGS_LIBRARY}
    ${FUSE_LIBRARIES}
    ${Boost_LIBRARIES}
    ${CLPROTO_LIBRARIES}
    ${TBB_LIBRARIES}
    ${SODIUM_LIBRARIES}
    ${PROTOBUF_LIBRARIES}
    ${NSS_LIBRARIES}
    ${OPENSSL_LIBRARIES}
    ${FOLLY_BENCHMARK_LIBRARIES}
    ${BACKWARD_CPP_LIBRARIES}
    )

add_library(clientBenchmarkShared SHARED ${CLIENT_SOURCES})

if(WITH_CEPH)
    list(APPEND CLIENT_BENCHMARK_LIBRARIES ${RADOS_LIBRARY} ${RADOSSTRIPER_LIBRARY})
endif(WITH_CEPH)

if(WITH_S3)
    list(APPEND CLIENT_BENCHMARK_LIBRARIES ${AWS_SDK_LIBRARIES})
endif(WITH_S3)

if(WITH_SWIFT)
    list(APPEND CLIENT_BENCHMARK_LIBRARIES ${SWIFT_SDK_LIBRARIES})
endif(WITH_SWIFT)

if(WITH_GLUSTERFS)
    list(APPEND CLIENT_BENCHMARK_LIBRARIES ${GLUSTERFSAPI_LIBRARIES})
endif(WITH_GLUSTERFS)

if(WITH_WEBDAV)
    list(APPEND CLIENT_BENCHMARK_LIBRARIES ${PROXYGEN_LIBRARY} ${WANGLE_LIBRARIES})
endif(WITH_WEBDAV)

if(WITH_XROOTD)
    list(APPEND CLIENT_BENCHMARK_LIBRARIES ${XROOTD_LIBRARIES})
endif(WITH_XROOTD)

if(WITH_NFS)
    list(APPEND CLIENT_BENCHMARK_LIBRARIES ${NFS_LIBRARIES})
endif(WITH_NFS)


list(APPEND CLIENT_BENCHMARK_LIBRARIES ${SPDLOG_LIBRARY} ${FMT_LIBRARY})

target_link_libraries(clientBenchmarkShared PUBLIC ${CLIENT_BENCHMARK_LIBRARIES})


file(GLOB_RECURSE TEST_SOURCES *_benchmark.cc)

foreach(TEST_SRC ${TEST_SOURCES})
    get_filename_component(TEST_NAME ${TEST_SRC} NAME_WE)
    add_executable(${TEST_NAME}
	    ${TEST_SRC}
	    ${TEST_HEADERS})
    target_link_libraries(${TEST_NAME} PRIVATE
        clientBenchmarkShared)
    add_custom_target(${TEST_NAME}_runbenchmark
        COMMAND ${TEST_NAME}
        WORKING_DIRECTORY ${CMAKE_BINARY_DIR})
    add_dependencies(benchmark ${TEST_NAME}_runbenchmark)
endforeach()

=== debian/changelog ===
oneclient-base (25.0.1.gb34b2e7-1~focal) focal; urgency=low

  * Build from 25.0.1.gb34b2e7

 -- Onedata Package Maintainer <support@onedata.org>  Tue, 03 Feb 2026 19:01:44 +0100

=== debian/control ===
Source: oneclient-base
Section: net
Priority: optional
Maintainer: Onedata Package Maintainer <support@onedata.org>
Build-Depends:
    aws-c-common (>= 0.4.49),
    aws-checksums (>= 0.1.7),
    aws-c-event-stream (>= 0.1.5),
    aws-sdk-cpp-s3 (>= 1.8.7),
    cmake (>= 3.0.0),
    debhelper (>= 9),
    folly-dev,
    g++ (>= 9.4.0),
    git,
    glusterfs-common (>= 7.2),
    libglusterfs-dev (>= 7.2),
    golang-go,
    libacl1-dev,
    libboost-all-dev,
    libcurl4-openssl-dev,
    libdouble-conversion-dev,
    libfuse3-dev (>= 3.6),
    libgoogle-glog-dev (>= 0.3.4),
    libiberty-dev,
    libjsoncpp-dev,
    libltdl-dev,
    libnspr4-dev,
    libnss3-dev,
    libprotobuf-dev (>= 3.4.1),
    libradospp-dev (>= 15.2.0),
    libradosstriper-dev (>= 15.2.0),
    libsodium-dev,
    libssl-dev (>= 1.1.0),
    libstdc++-9-dev,
    libtbb-dev,
    libpoco-dev,
    libpocofoundation62,
    libpoconetssl62,
    libpocoutil62,
    libpocoxml62,
    libxrootd-client-dev,
    libxrootd-server-dev,
    libxrootd-private-dev,
    openssl (>= 1.1.0),
    pkg-config,
    protobuf-compiler (>= 3.4.1),
    python3-dev,
    subversion,
    libunwind-dev,
    uuid-dev,
    wangle-dev,
    proxygen-dev,
    libfmt-dev (>= 7.0.1),
    libspdlog-dev (>= 1:1.7.0),
    libnfs-dev (>= 4.0.0)
Standards-Version: 3.9.5
Homepage: https://onedata.org

Package: oneclient-base
Architecture: amd64
Depends: glusterfs-common (>= 7.2), libnfs13 (>= 4.0.0), folly, libxrootd-client-dev, xrootd-plugins, xrootd-client-plugins, ${shlibs:Depends}, ${misc:Depends}, fuse3, libunwind8
Description: FUSE client for onedata system.
 Oneclient is a software based on FUSE (Filesystem in Userspace) that allows
 mounting onedata filesystem on Linux systems.

Package: python3-onedatafs
Architecture: amd64
Depends: python3, libboost-python1.71.0, libnfs13 (>= 4.0.0), folly, libxrootd-client-dev, xrootd-plugins, xrootd-client-plugins, libunwind8, ${shlibs:Depends}, ${misc:Depends}
Description: FUSE client for onedata system.
 oneclient is a software based on FUSE (Filesystem in Userspace) that allows
 mounting onedata filesystem on Linux systems.

## oneclient-base 25.0.2.g15bf5f5

=== debian/changelog ===
oneclient-base (25.0.2.g15bf5f5-1~focal) focal; urgency=low

  * Build from 25.0.2.g15bf5f5

 -- Onedata Package Maintainer <support@onedata.org>  Tue, 27 Jan 2026 10:49:21 +0100
